package com.cyksj.service.mini;

import com.cyksj.model.entity.MiniPopularizeUser;
import com.cyksj.model.entity.MiniPopularizeUserConversationChat;
import com.cyksj.model.request.MiniAiPicturesReq;
import com.cyksj.model.request.MiniPopularizeIncrTimesReq;
import com.cyksj.model.response.MiniPopularizeResp;

import java.io.IOException;

/**
 * 项目名: yhlxj2
 * 文件名: MiniPopularizeFrontService
 * 创建者: JavaZou
 * 创建时间:2025/4/8 16:51
 */
public interface MiniPopularizeFrontService {
	MiniPopularizeResp createPictures(MiniAiPicturesReq miniAiPicturesReq) throws Exception;

	MiniPopularizeUser getUser(long userId);

	MiniPopularizeUserConversationChat getImgResultById(long userId, Long imageId);

	void incrGptTimes(MiniPopularizeIncrTimesReq req) throws Exception;

	void closeTc(long userId);
}
